This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1008816 - Review Request: libkkc-data - Language model data for libkkc
Review Request: libkkc-data - Language model data for libkkc
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 02:49 EDT by Daiki Ueno
Modified: 2013-11-10 02:27 EST (History)
3 users (show)

See Also:
Fixed In Version: libkkc-data-0.2.7-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 02:27:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daiki Ueno 2013-09-17 02:49:40 EDT
Spec URL: http://ueno.fedorapeople.org//libkkc-data.spec
SRPM URL: http://ueno.fedorapeople.org//libkkc-data-0.2.7-1.fc21.src.rpm

Description:
The libkkc-data package contains the language model data that libkkc uses
at run time.
Comment 1 Daiki Ueno 2013-09-17 02:53:40 EDT
This is split from the libkkc package to reduce the build time of the package.  libkkc-data takes some time to build, libkkc doesn't need it at build time, and libkkc-data upstream is less frequently updated than libkkc.
Comment 2 Parag AN(पराग) 2013-09-18 03:00:24 EDT
Review:

+ package build successfully in mock 

- rpmlint on rpms gave
libkkc-data.x86_64: E: no-binary
libkkc-data.x86_64: W: only-non-binary-in-usr-lib
libkkc-data.x86_64: W: no-documentation
libkkc-data-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 2 warnings.


+ Source validated to upstream as (sha256sum)
srpm tarball     : 9e678755a030043da68e37a4049aa296c296869ff1fb9e6c70026b2541595b99
upstream tarball : 9e678755a030043da68e37a4049aa296c296869ff1fb9e6c70026b2541595b99

+ license is valid and included in COPYING

Suggestions:
1) Add %doc COPYING
also good if you are upstream then add some contents to file README, ChangeLog and add them in %doc

2) you may want to disable -debuginfo package by adding at the top of spec
# This is just data package that installs data files only
%global debug_package %{nil}


I see this is still valid https://bugzilla.redhat.com/show_bug.cgi?id=906248#c8
so, not to worry for rpmlint warning only-non-binary-in-usr-lib

When you import this package you first need to update libkkc.spec by removing libkkc-data subpackage and then build this package.

APPROVED.
Comment 3 Parag AN(पराग) 2013-09-18 23:57:05 EDT
I just saw that current f21 libkkc is 0.3.1 and you submitted libkkc-data 0.2.7 version. You may need to add Epoch to this spec.
Comment 4 Daiki Ueno 2013-09-19 00:03:08 EDT
Sure.  Thanks for the review.

New Package SCM Request
=======================
Package Name: libkkc-data
Short Description: Language model data for libkkc
Owners: ueno
Branches: f20 f19 f18
InitialCC: i18n-team
Comment 5 Gwyn Ciesla 2013-09-19 09:06:13 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-10-21 23:36:28 EDT
libkkc-data-0.2.7-2.fc20,libkkc-0.3.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libkkc-data-0.2.7-2.fc20,libkkc-0.3.1-2.fc20
Comment 7 Fedora Update System 2013-10-22 14:53:30 EDT
libkkc-data-0.2.7-2.fc20, libkkc-0.3.1-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 8 Fedora Update System 2013-11-10 02:27:56 EST
libkkc-data-0.2.7-2.fc20, libkkc-0.3.1-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.